The DOMException / Dom\Exception class

- « DOMEntityReference::__construct

- DOMImplementation »

- PHP Manual
- DOM
- The DOMException / Dom\Exception class

# The DOMException / Dom\Exception class

(PHP 5, PHP 7, PHP 8)

## Introduction

DOM operations raise exceptions under particular circumstances, i.e., when an operation is impossible to perform for logical reasons.

This class is aliased as Dom\Exception in the Dom namespace.

See also Exceptions.

## Class synopsis

final class DOMException extends Exception {
/* Properties */
public int $code;
/* Inherited properties */
protected string $message = "";
private string $string = "";
protected int $code;
protected string $file = "";
protected int $line;
private array $trace = [];
private ?Throwable $previous = null;
/* Inherited methods */
public Exception::__construct(string `$message` = "", int `$code` = 0, ?Throwable `$previous` = `null`)
final public Exception::getMessage(): string
final public Exception::getPrevious(): ?Throwable
final public Exception::getCode(): int
final public Exception::getFile(): string
final public Exception::getLine(): int
final public Exception::getTrace(): array
final public Exception::getTraceAsString(): string
public Exception::__toString(): string
private Exception::__clone(): void
}

## Properties

code

  An integer indicating the type of error generated